Bug 236449 - Panel menubar customization does not work / does not match help file
Panel menubar customization does not work / does not match help file
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2007-04-14 07:49 EDT by Ed Avis
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-14 11:51:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Avis 2007-04-14 07:49:37 EDT
I wanted to add an item to the 'start menu' so I looked at the GNOME online
help.  This says:

>You can modify the contents of the following menus:
>    * Applications menu     
>    * System → Preferences submenu
>    * System → Administration submenu      
>To edit the items in these menus, right-click on the panel menubar, and choose
>Edit Menus. The Menu Layout window opens.

However, this is not the case.  When I right-click on the text 'Applications',
for example, the menu that appears has the items Help, Remove from Panel, Move,
and Lock to Panel.  As far as I can tell, there is no way to right-click and
have a menu appear with an Edit Menus item.  This happens also with a newly
created user (and so a clean profile).

Either GNOME should be fixed to provide the Edit Menus option, or the help text
should be corrected.
Comment 1 Ray Strode [halfline] 2007-04-14 09:56:32 EDT
Edit Menus should be there.  If you bring up a terminal, what is the output of

rpm -q alacarte

Comment 2 Ed Avis 2007-04-17 03:49:21 EDT
I don't currently have access to the machine where I observed this.  It had
started off as Fedora Core 3 or so and been upgraded to 4, 5 and 6.  But I can
note one thing.  In the bottom left of the screen, instead of an 'F' icon that
can be clicked on to show a main menu, there is a much smaller 'F' and then
three pieces of text: Applications, Places, System.

In other words there are three start menus instead of one.  If you want to shut
down the machine, for example, that's under System.  I have no idea why GNOME
displays the three menus separately on the menu bar, when on other systems it
combines them into one.  So I was trying to right-click on the word
'Applications' which appears directly on the menu bar.  A menu appears but it
has no Edit Menus entry.

When I get a chance I will do an rpm -qa and attach the output to this bug report.
Comment 3 Ray Strode [halfline] 2007-04-17 09:02:49 EDT
Okay, I'm going to put this back in NEEDINFO until then. 
Comment 4 Ray Strode [halfline] 2007-08-14 11:51:47 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.